package com.csc349blum.colorselector;

import android.os.Bundle;
import android.app.Activity;
import android.graphics.Color;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.RadioGroup.OnCheckedChangeListener;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		RadioGroup rgRed = (RadioGroup) findViewById(R.id.rgRed);
		RadioGroup rgGreen = (RadioGroup) findViewById(R.id.rgGreen);	
		RadioGroup rgBlue = (RadioGroup) findViewById(R.id.rgBlue);	
		
		//Set up listeners for the three radiogroups
		rgRed.setOnCheckedChangeListener(new OnCheckedChangeListener(){
			@Override
			public void onCheckedChanged(RadioGroup arg0, int arg1) {
				changeColor();
			}//end onCheckedChanged (red radio group)
		}); //end setOnCheckedChanged (red radio group)
		
		rgGreen.setOnCheckedChangeListener(new OnCheckedChangeListener(){
			@Override
			public void onCheckedChanged(RadioGroup arg0, int arg1) {
				changeColor();
			}//end onCheckedChanged (green radio group)
		}); //end setOnCheckedChanged (green radio group)	

		rgBlue.setOnCheckedChangeListener(new OnCheckedChangeListener(){
			@Override
			public void onCheckedChanged(RadioGroup arg0, int arg1) {
				changeColor();
			}//end onCheckedChanged (blue radio group)
		}); //end setOnCheckedChanged (blue radio group)	
		
	} //end onCreate

	//******************************************************************************
	//construct the hexcode based on the selected radio button from 
	//each radio group corresponding to red, green and blue
	public void changeColor(){
		TextView tvColor = (TextView) findViewById(R.id.tvColor);	
		RadioGroup rgRed = (RadioGroup) findViewById(R.id.rgRed);
		RadioGroup rgGreen = (RadioGroup) findViewById(R.id.rgGreen);	
		RadioGroup rgBlue = (RadioGroup) findViewById(R.id.rgBlue);	
		
		//find id of checked radio button within a radiogroup
		int redID = rgRed.getCheckedRadioButtonId();
		//get that radio button
		RadioButton radRed = (RadioButton) findViewById(redID);
		
		int greenID = rgGreen.getCheckedRadioButtonId();
		RadioButton radGreen = (RadioButton) findViewById(greenID);
		
		int blueID = rgBlue.getCheckedRadioButtonId();
		RadioButton radBlue = (RadioButton) findViewById(blueID);
		
		String hex="#";
		//the tag properties of the radio buttons were loaded up with 
		//hexcodes 0% --> 00, 20% --> 33, 40% --> 66, 60% --> 99, 80% --> cc, 100% --> ff
		hex += radRed.getTag().toString();
		hex += radGreen.getTag().toString();
		hex += radBlue.getTag().toString();
			
		//set color of textview based on hexcode
		tvColor.setBackgroundColor(Color.parseColor(hex));	
	}
} //end MainActivity class
